Package weka.gui

# Class ComponentHelper

java.lang.Object
weka.gui.ComponentHelper

public class ComponentHelper extends Object
A helper class for some common tasks with Dialogs, Icons, etc.

Version:
  $Revision: 7059 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`IMAGES`
the default directories for images

## Constructor Summary

Constructors
Constructor
Description
`ComponentHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Image`
`getImage(String filename)`
returns the Image for a given filename, NULL if not successful
`static Image`
`getImage(String dir, String filename)`
returns the Image for a given directory and filename, NULL if not successful
`static ImageIcon`
`getImageIcon(String filename)`
returns the ImageIcon for a given filename, NULL if not successful
`static ImageIcon`
`getImageIcon(String dir, String filename)`
returns the ImageIcon for a given filename and directory, NULL if not successful
`static String`
`showInputBox(Component parent, String title, String msg, Object initialValue)`
pops up an input dialog
`static int`
`showMessageBox(Component parent, String title, String msg, int buttons, int messageType)`
displays a message box with the given title, message, buttons and icon ant the dimension.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMAGES

public static final String[] IMAGES
the default directories for images

## Constructor Details

### ComponentHelper

public ComponentHelper()

## Method Details

### getImageIcon

public static ImageIcon getImageIcon(String dir, String filename)
returns the ImageIcon for a given filename and directory, NULL if not successful

Parameters:
  `dir` - the directory to look in for the file
  `filename` - the file to retrieve
Returns:
  the imageicon if found, otherwise null

### getImageIcon

public static ImageIcon getImageIcon(String filename)
returns the ImageIcon for a given filename, NULL if not successful

Parameters:
  `filename` - the file to retrieve
Returns:
  the imageicon if found, otherwise null

### getImage

public static Image getImage(String dir, String filename)
returns the Image for a given directory and filename, NULL if not successful

Parameters:
  `dir` - the directory to look in for the file
  `filename` - the file to retrieve
Returns:
  the image if found, otherwise null

### getImage

public static Image getImage(String filename)
returns the Image for a given filename, NULL if not successful

Parameters:
  `filename` - the file to retrieve
Returns:
  the image if found, otherwise null

### showMessageBox

public static int showMessageBox(Component parent, String title, String msg, int buttons, int messageType)
displays a message box with the given title, message, buttons and icon ant the dimension. it returns the pressed button.

Parameters:
  `parent` - the parent component
  `title` - the title of the message box
  `msg` - the text to display
  `buttons` - the captions of the buttons to display
  `messageType` - the type of message like defined in `JOptionPane` (the icon is determined on this basis)
Returns:
  the button that was pressed
See Also:
  - `JOptionPane`

### showInputBox

public static String showInputBox(Component parent, String title, String msg, Object initialValue)
pops up an input dialog

Parameters:
  `parent` - the parent of this dialog, can be `null`
  `title` - the title to display, can be `null`
  `msg` - the message to display
  `initialValue` - the initial value to display as input
Returns:
  the entered value, or if cancelled `null`